"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const common_vendor = require("./common/vendor.js");
require("./common/libraries/request.js");
require("./common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("./common/store/useWeAppAuthStore.js");
require("./common/store/useWorkStore.js");
const common_libraries_updateManager = require("./common/libraries/updateManager.js");
require("./gen/Apis.js");
require("./common/libraries/apiLoading.js");
if (!Math) {
  "./pages/index/index.js";
  "./pages/loading.js";
  "./pages/login.js";
  "./pages/data_oard/index.js";
  "./pages/public/select_project/index.js";
  "./pages/public/select_project/pages/permission_show.js";
  "./pages/me/index.js";
  "./pages/public/asset_houses/index.js";
  "./pages/transfer/index.js";
  "./WORKORDER/list/index.js";
  "./WORKORDER/list_log/index.js";
  "./WORKORDER/show_log/index.js";
  "./WORKORDER/update/index.js";
  "./WORKORDER/show/index.js";
  "./WORKORDER/add/index.js";
  "./WORKORDER/poster/index.js";
  "./WORKORDER/acceptance/index.js";
  "./WORKORDER/patrol_update/index.js";
  "./ME/work_order_home/index.js";
  "./ME/attendance/my_schedules/index.js";
  "./ME/attendance/sign_clock_in/index.js";
  "./ME/emergency/list/index.js";
  "./ME/emergency/add/index.js";
  "./ME/emergency/update/index.js";
  "./ME/emergency/change/index.js";
  "./ME/emergency/show/index.js";
  "./ME/update/index.js";
  "./ME/announcement/list/index.js";
  "./ME/announcement/show/index.js";
  "./ME/feedback/index.js";
  "./ME/knowledge_qa/index.js";
  "./ME/knowledge_qa/show.js";
  "./ME/push_show/index.js";
  "./ME/instrument/list/index.js";
  "./ME/instrument/add/index.js";
  "./ME/instrument/log/index.js";
  "./ME/instrument/log_show/index.js";
  "./CUSTOMER/show/index.js";
  "./CUSTOMER/update/index.js";
  "./CUSTOMER/assets/index.js";
  "./CUSTOMER/bind_house/index.js";
  "./CUSTOMER/house_list/index.js";
  "./CUSTOMER/house_select/index.js";
  "./CUSTOMER/house_Identity/index.js";
  "./CUSTOMER/house_Identity/success.js";
  "./CUSTOMER/bind_house_form/index.js";
  "./CUSTOMER/bind_house_form/success.js";
  "./CUSTOMER/list_user/index.js";
  "./CUSTOMER/list_house/index.js";
  "./CUSTOMER/list_bill/index.js";
  "./BILL/outstanding_fee/index/index.js";
  "./BILL/record/payment/index.js";
  "./BILL/record/urge_payment/index.js";
  "./BILL/outstanding_fee/show/index.js";
  "./BILL/outstanding_fee/add/index.js";
  "./BILL/bill_details/index.js";
  "./BILL/information_template/index.js";
  "./BILL/poster/index.js";
  "./BILL/collection_record/index/index.js";
  "./BILL/collection_record/show/index.js";
  "./BILL/send_bill/index.js";
  "./INDEX/release_items/index.js";
  "./INDEX/pass/index.js";
  "./INDEX/watermark_camera/index.js";
  "./INDEX/task/list/index.js";
  "./INDEX/task/show/index.js";
  "./INDEX/task/update/index.js";
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "App",
  setup(__props) {
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    common_vendor.onLaunch(async () => {
      const app = common_vendor.getCurrentInstance();
      await auth.login(app);
      console.log("App Launch");
      common_libraries_updateManager.CheckUpdate();
    });
    common_vendor.onShow(async () => {
      console.log("App Show");
    });
    common_vendor.onHide(() => {
      console.log("App Hide");
    });
    return () => {
    };
  }
});
const App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.use(common_vendor.uviewPlus);
  app.config.globalProperties.$onLaunched = new Promise((resolve) => {
    app.config.globalProperties.$isResolve = resolve;
  });
  app.use(common_vendor.createPinia());
  return {
    app,
    Pinia: common_vendor.Pinia
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
